////////////////////////////////////////////////////////////////////////////
//                         Multimedia System 1st Beta                     //
//                              for TMT Pascal                            //
//                      (MS-DOS 32-bit protected mode)                    //
//                             by Vadim Bodrov                            //
//                      Based on Sound System Release 4                   //
//                                 by                                     //
//                     ͻ   Frontman    Ŀ    Ŀ                 //
//                                of                                  //
//                          ͻͻ                     //
//                             ͼ                              //
//                     ͼ    ͼ                      //
//                                                                        //
//        PLAYMOD Demo program for TMT Pascal (http://www.tmt.com)        //
////////////////////////////////////////////////////////////////////////////
program PlayMOD;

{$w-,r-,q-,i-,t-,x+,v-,a+,oa-,opt+}
uses MMedia,CRT,DOS;
var
  H: Word;
  S_ID: Byte;

function TestFile(Name: String): Boolean;
var
  f: File;
begin
{$i-}
  Assign(f, Name);
  Reset(f, 1);
{$i+}
  if IOResult = 0 then
  begin
    Result := true;
    Close(f);
  end else
    Result := false;
end;

begin
  if not TestFile('mmdrv.cfg') then
  begin
    if TestFile('setsound.exe') then
      Exec('setsound.exe', '');
    if not TestFile('mmdrv.cfg') then
    begin
      Writeln('mmdrv.cfg not found');
      halt;
    end;
  end;
  if GetDriverID(S_ID) then
  begin
    InstallSoundDriver(S_ID);
    if not InitConfig then
    begin
      Writeln('sound sonfiguration failed');
      DeInstallSoundDriver;
      exit;
    end;
  end else
  begin
    Writeln('unknown sound card');
    exit;
  end;
  if ParamCount = 0 then
  begin
    Writeln('specify .mod file name');
    DeInstallSoundDriver;
    exit;
  end;
  LoadModule(ParamStr(1));
  PlayModule;
  Writeln('Press any key to stop the music..');
  ReadKey;
  StopModule;
  DeInstallSoundDriver;
end.
